Subject: Re: dselect - formally Re: Running as root
From: "Stephen Grant Brown" <[email-masked]>
To: "Dave" <[email-masked]>
Cc: "Cygwin Mailing List" <[email-masked]>
Date: Mon, 17 Jul 2006 21:49:02 +1000

Hi Dave and all the other people on this list,
----- Original Message ----- 
From: "Dave" <[email-masked]>
To: "Stephen Grant Brown" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, July 17, 2006 7:17 PM
Subject: Re: dselect - formally Re: Running as root

> Stephen Grant Brown wrote:
> <snip>
>
> > The output of the program (which is dselect) I am having trouble with is
> > in the attached file.
> > How do I find out which file has read-only access?
> >
> > I am making the assumption that if a program is in the cygwin
> > distribution, the cygwin community would like to get it working
> > properly. Is this assumption valid? assume = ass + U + me.
>
> As Brian said in a separate thread:
> http://www.cygwin.com/ml/cygwin/2006-01/msg00632.html
I have reread that post.
>
> Just to repeat. If you trying to update cygwin, please use setup.exe, the 
> only supported mechanism for doing so.
I used setup.exe only a night or two before I did the post. I installed the 
latest of everything.
dselect is a package installed by the cygwin setup.exe.
>
> If you are looking for a mechanism to do updates via the command line, 
> there isn't a tool do this. However setup.exe can be fooled into doing 
> this (please Google), and there are attempts to make setup.exe more useful 
> from the command line.
>
> There are a few package managers from Linux distributions available 
> (dselect and rpm are the ones I can think of). As far as I know these are 
> only present for two reasons:
> - to allow inspection of packages for these distributions
I am unable to use dselect for the inspection of packages in the Debian 
distribution.
> - to help investigations of the feasability of other packaging methods for 
> cygwin.
>
> None of them are currently capable of maintaining a cygwin installation.
>
> Also, you will note that dpkg was last updated in 2002 and IIRC is looking 
> for a maintainer (or may be culled at any time).
>
> If you still want help with dselect, I suggest you describe exactly what 
> you are trying to do with it, and the steps you take which lead to the 
> problem. It will them become clear whether or not that behaviour is 
> expected to work or not.
I open a bash shell. I type dselect at the command line. The error comes up 
as in the attached screen dump.
>
> HTH.
It sure does. Thanks.
>
> Dave.
>
Yours Sincerely Stephen Grant Brown 
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/